Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
nvidia-driver-319-76 and no surround HDMI audio
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware
View previous topic :: View next topic  
Author Message
te36
n00b
n00b


Joined: 24 Dec 2013
Posts: 12

PostPosted: Sun Jan 05, 2014 11:35 am    Post subject: nvidia-driver-319-76 and no surround HDMI audio Reply with quote

6 channel PCM HDMI audio via NVIDIA GeForce 210 breaking after upgrade.

1. OLD: Running system

Portage sync'ed end of 2012. gentoo-sources-3.7.4, nvidia-drivers-313.18, xorg-server-1.13.1.

Start "Xorg" server. Run: "speaker-test -Dhdmi:CARD=NVidia_1,DEV=0 -c6 -twav"
6 channel sound working nicely (*).

2. NEW: Upgraded whole gentoo last week, "emerge -uvpND world, etc. pp". Still using gentoo-sources-3.7.4, but now nvidia-drivers-319.76, xorg-server-1.14.3-r2.

Reboot (nvidia-drivers-319.76 installed)

Xorg ; speaker-test ...
-> 6 channel surround sound NOT working (only stereo channels). Receiver shows "PCM HDMI"

emerge =x11-drivers/nvidia-drivers-313.18 ; modprobe -r nvidia ;
Xorg ; speaker-test ...
-> 6 channel surround sound works (*). Receiver shows "PCM MULTICH HDMI"

emerge =x11-drivers/nvidia-drivers-319.76 ; modprobe -r nvidia ;
Xorg ; speaker-test ...
-> 6 channel surround sound works (*). Receiver shows "PCM MULTICH HDMI"

reboot ; Xorg ; speaker-test ...
-> 6 channel surround sound NOT working (only stereo channels). Receiver shows "PCM HDMI"

Aka: After you've started a 313.18 driver and then change over to the 319.76 driver, that 319.76 driver will also work. Looks/sounds to me as if the 319.76 driver is missing? some initialization that the 313.18 driver is still doing correctly.

Q1: Does anyone have working 6-channel surround-sound with 319.76 and an NVidia G210 ?
In NVidias web-page, 313.18 mentions the G210 as supported, but 319.76 does not lists it anymore, so it could be that NVidia explicitly removed support for it.

Right now i am sticking to 313.18, but the driver already complains about the 14.1 xorg-serer and API, so i would really like to resolve this issue:
(WW) NVIDIA: This server has an unsupported input driver ABI version (have 19.1, need < 19.0). The driver will continue to load, but may behave strangely.

Q2: is there any gentoo live-DVD that has 319.76 so that i could try to boot that live-DVD and see if it works better ?

Q3: why is (~)313.18^s[1] marked as unstable, if NVidia lists it as a verified driver (and if it's officially the last one supporting the G210 which AFAIK is quite popular due to being passive and therefore ideal for linux-STBs/XBMC).

Q4: anything else i should try to figure out this issue ?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Kernel & Hardware All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum